Zabbix on amazon ec2. Installation

330xi asked:

I’ve read about mikoomi. And I it is not suitable for me. I do not have access to secret key.

I want to install and use zabbix server and agent itself on instances. Is it good idea?

And here is the problem:

during:

yum install zabbix-server-pgsql zabbix-web-pgsql zabbix-agent

I got:

Error: httpd24-tools conflicts with httpd-tools
Error: httpd24 conflicts with httpd

How to complete installation successfully?

My answer:


You installed Apache 2.4 from a third party repository. These packages conflict with the default Apache packages provided with CentOS (which indicates poor design on the part of the third party repository maintainer, but that’s an issue for another day).

To resolve the issue, remove the offending packages.

yum remove httpd24 httpd24-tools

On that note, you really should not try to use the same server for multiple purposes. If you want to run a Zabbix server, run only the Zabbix server (and any services it needs to operate, such as Apache). Don’t try to make it your Zabbix server, email server, general web site, VPN endpoint, and the kitchen sink.


View the full question and answer on Server Fault.

Creative Commons License
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.